TestNs\MyApp\MissionType\AdditionalServicesAType:
    properties:
        assignedEquipment:
            expose: true
            access_type: public_method
            serialized_name: assigned-equipment
            accessor:
                getter: getAssignedEquipment
                setter: setAssignedEquipment
            xml_list:
                inline: true
                entry_name: assigned-equipment
            type: array<TestNs\MyApp\AssignedEquipmentAdditionalServiceType>
        miscellaneous:
            expose: true
            access_type: public_method
            serialized_name: miscellaneous
            accessor:
                getter: getMiscellaneous
                setter: setMiscellaneous
            xml_list:
                inline: true
                entry_name: miscellaneous
            type: array<TestNs\MyApp\MiscellaneousAdditionalServiceType>
